Retrieve OTP or Link for Smart Login

Initiates a smart login process using Email, Username, or Phone, allowing flexibility based on the User's input.

GET
/identity/v2/auth/login/smartlogin

Initiates a smart login process using Email, Username, or Phone, allowing flexibility based on the User's input.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

email?string

Email address of the associated Account.

Formatemail
username?string

Username of the associated Account.

phone?string

Phone ID of the associated Account.

Formatphone
clientguid?string

Client GUID for the request.

welcomeemailtemplate?string

Welcome Email Template

redirecturl?string

The URL to which the User will be redirected after completing the operation, such as login or verification.

smstemplate?string

SMS Template

isvoiceotp?boolean

Boolean flag to enforce sending SMS content via Voice.

smartloginemailtemplate?string

The template name for the smart login Email.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/login/smartlogin?email=test%40gmail.com&username=testuser&phone=%2B1234567890&clientguid=12345678-1234-1234-1234-123456789012&welcomeemailtemplate=Welcome-Email-Template&redirecturl=https%3A%2F%2Fexample.com%2Fredirect&smstemplate=SMS-Template&isvoiceotp=true&smartloginemailtemplate=Smart-Login-Email-Template"
{
  "IsPosted": true
}

{
  "ErrorCode": 1038,
  "Message": "Valid email ID is required",
  "Description": "The provided email ID is invalid or not well-formatted, a valid email ID is required in order to process this request."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 1183,
  "Message": "UserName authentication is enabled",
  "Description": "You can't login from email/phone, please use username for login."
}